Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 Aug 2021 10:56:53 +0200

Juri Linkov <[email-masked]> writes:

>>> +  ;; When read_minibuf doesn't restore all previous windows,
>>> +  ;; then at least pop down the completions window.
>>> +  (unless read-minibuffer-restore-windows
>>> +    (minibuffer-hide-completions))
>>
>> Hm...  Well, I guess that's what most people would want...  but...
>
> The new option read-minibuffer-restore-windows is quite unusable
> without the above change: selecting a completion from the
> completions buffer will leave the completions buffer on the screen.

Yes.  But I think some people would want that -- that is, they might be
`C-g'-ing out of the minubuffer just because they want to copy some of
the text in the completions buffer.

But on the other hand, that may be such a rare thing to do that just
applying your proposed patch is the right thing, and then we could just
see whether anybody actually requests that before tinkering any further
with it...

So...  I think you should just push the patch, and then we'll see.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no